Package org.springframework.orm.hibernate5

# Class HibernateQueryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.InvalidDataAccessResourceUsageException
org.springframework.orm.hibernate5.HibernateQueryException

All Implemented Interfaces:
  `Serializable`

public class HibernateQueryException extends org.springframework.dao.InvalidDataAccessResourceUsageException
Hibernate-specific subclass of InvalidDataAccessResourceUsageException, thrown on invalid HQL query syntax.

Since:
  4.2
Author:
  Juergen Hoeller
See Also:
  - `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HibernateQueryException(QueryException ex)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getQueryString()`
Return the HQL query string that was invalid.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HibernateQueryException

public HibernateQueryException(QueryException ex)

## Method Details

### getQueryString

@Nullable public String getQueryString()
Return the HQL query string that was invalid.